View Javadoc

    1   /*
    2    * Copyright 2009 Red Hat, Inc.
    3    *
    4    * Red Hat licenses this file to you under the Apache License, version 2.0
    5    * (the "License"); you may not use this file except in compliance with the
    6    * License.  You may obtain a copy of the License at:
    7    *
    8    *    http://www.apache.org/licenses/LICENSE-2.0
    9    *
    10   * Unless required by applicable law or agreed to in writing, software
    11   * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
    12   * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
    13   * License for the specific language governing permissions and limitations
    14   * under the License.
    15   */
    16  package org.jboss.netty.util;
    17
    18  /**
    19   * Overrides the thread name proposed by {@link ThreadRenamingRunnable}.
    20   *
    21   * @author <a href="http://www.jboss.org/netty/">The Netty Project</a>
    22   * @author <a href="http://gleamynode.net/">Trustin Lee</a>
    23   * @version $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
    24   */
    25  public interface ThreadNameDeterminer {
    26
    27      /**
    28       * {@link ThreadNameDeterminer} that accepts the proposed thread name
    29       * as is.
    30       */
    31      ThreadNameDeterminer PROPOSED = new ThreadNameDeterminer() {
    32          public String determineThreadName(String currentThreadName,
    33                  String proposedThreadName) throws Exception {
    34              return proposedThreadName;
    35          }
    36      };
    37
    38      /**
    39       * {@link ThreadNameDeterminer} that rejects the proposed thread name and
    40       * retains the current one.
    41       */
    42      ThreadNameDeterminer CURRENT = new ThreadNameDeterminer() {
    43          public String determineThreadName(String currentThreadName,
    44                  String proposedThreadName) throws Exception {
    45              return null;
    46          }
    47      };
    48
    49      /**
    50       * Overrides the thread name proposed by {@link ThreadRenamingRunnable}.
    51       *
    52       * @param currentThreadName   the current thread name
    53       * @param proposedThreadName  the proposed new thread name
    54       * @return the actual new thread name.
    55       *         If {@code null} is returned, the proposed thread name is
    56       *         discarded (i.e. no rename).
    57       */
    58      String determineThreadName(String currentThreadName, String proposedThreadName) throws Exception;
    59  }